Bug 1296602 - HSQLDB Teiid Data Source creation in JBoss EAP [NEEDINFO]
HSQLDB Teiid Data Source creation in JBoss EAP
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Deployment (Show other bugs)
unspecified
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Van Halbert
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 11:02 EST by Elkin Munoz
Modified: 2017-01-12 16:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 16:26:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jolee: needinfo? (emunoz)


Attachments (Terms of Use)

  None (edit)
Description Elkin Munoz 2016-01-07 11:02:44 EST
Description of problem:

When I create a HSQLDB datasource from an imported JDBC resource the environment get stuck/frozen, so I have to create it modifying the standalone.xml file.

Version-Release number of selected component (if applicable):
6.0

How reproducible:
Import a JDBC Datasource, then right click and choose the "Create Data Source" option in the Teiid designer perspective.

Steps to Reproduce:
1. Import a JDBC Datasource
2. Right click and choose the "Create Data Source" option in the Teiid designer perspective

Actual results:
The environment (JBoss Developer Studio) get stuck/frozen.

Expected results:
Datasource deployed in JBoss EAP

Additional info:
The hsqldb driver it's already deployed in the JBoss EAP server.
Comment 2 Van Halbert 2016-01-07 11:14:47 EST
Since HSQLDB isn't recommended for production, is only meant to play with.  Can you verify if this same behavior would occur with something like oracle, mysql, etc. drivers/data source?
Comment 3 Elkin Munoz 2016-01-07 11:17:29 EST
Thanks for your quick reply Van,

With other connections I doesn't have that issue. The environment create the data source fine in the JBoss EAP Server.
Comment 4 Elkin Munoz 2016-01-12 08:52:52 EST
(In reply to Van Halbert from comment #2)
> Since HSQLDB isn't recommended for production, is only meant to play with. 
> Can you verify if this same behavior would occur with something like oracle,
> mysql, etc. drivers/data source?



Thanks for your quick reply Van,

With other connections I doesn't have that issue. The environment create the data source fine in the JBoss EAP Server.
Comment 5 jolee 2016-03-28 09:12:44 EDT
Elkin,
  Can I ask what is driving this ticket?  ie:  is it on behalf of a customer,  some work on your own, etc?
 
  Normally an ask like this would happen in the community,  so I was wondering what drove the creation of the BZ.

Thanks,
Jlee

Note You need to log in before you can comment on or make changes to this bug.